ATA_SCSI_FLUSH_XLAT(9)

NAME
ata_scsi_flush_xlat - Translate SCSI SYNCHRONIZE CACHE command

SYNOPSIS

unsigned int ata_scsi_flush_xlat(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    Storage for translated ATA taskfile

DESCRIPTION

Sets up an ATA taskfile to issue FLUSH CACHE or FLUSH CACHE EXT.

LOCKING

spin_lock_irqsave(host lock)

RETURNS

Zero on success, non-zero on error.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT